# Try to compile a simple regular expression with the POSIX API,
# and define HAVE_REGCOMP if it succeeds.
# $Id: regcomp.m4,v 1.2 1998/05/26 19:00:27 bkorb Exp $
# serial 1

dnl AG_FUNC_REGCOMP
dnl This uses AC_TRY_RUN.
dnl It fails if any of the following do not work:
dnl
dnl 1.  #include <regex.h>
dnl 2.  linking the 'regcomp(3)' call
dnl 3.  a non-zero return from 'regcomp(3)'
dnl
dnl Otherwise, we supply our own regex stuff (well, GNU's).
dnl
AC_DEFUN(AG_FUNC_REGCOMP,
[AC_CHECK_HEADERS(regex.h)
AC_CACHE_CHECK(for working regcomp, ag_cv_func_regcomp,
[AC_TRY_RUN([#include <sys/types.h> /*POSIX stipulates this*/
#include <regex.h>
int main () { regex_t re;
exit( regcomp( &re, "=.*", REG_NOSUB )); }],
ag_cv_func_regcomp=yes, ag_cv_func_regcomp=no,
ag_cv_func_regcomp=no)])
if test x$ag_cv_func_regcomp = xyes; then
  AC_DEFINE(HAVE_REGCOMP)
fi])
